check point is inside/outside in 2d face

Hello everybody.

Somebody know that the OCC has an algorithm to check a given point is inside or outside of a 2d face? Or other method to perform this kind of check ?

Best regards,
Sandor.

Attachments: 
JuryS's picture

Hi, maybe something like this:

IntAna_IntConicQuad theIntersection( aLine, aPlane, Precision::Angular() );
if (theIntersection.IsDone())
{
if (!theIntersection.IsParallel())
{
if (theIntersection.NbPoints() > 0)
{
gp_Pnt theSolution(theIntersection.Point(1));
X = theSolution.X();
Y = theSolution.Y();
Z = theSolution.Z();
return Standard_True;
}
}
}

Biro Sandor's picture

Thanks for advice, I will try.

Sandor.